/*--------------
Predefined Color
---------------*/
/*-----
Padding
------*/
/*-------
Font-size
--------*/
.loader {
  -webkit-animation: spin 1s linear infinite;
  animation: spin 1s linear infinite;
  border: 3px solid #ddd;
  border-top: 3px solid #42a5f5;
  border-radius: 50%;
  height: 75px;
  width: 75px;
  position: fixed;
  top: 50%;
  left: 50%;
  z-index: 10; }

@-webkit-keyframes spin {
  to {
    border-top-color: #ec407a;
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg); } }

@keyframes spin {
  to {
    border-top-color: #ec407a;
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg); } }

.loader-status {
  color: theme-color("secondary");
  position: absolute;
  top: 50%;
  text-align: center;
  width: 100%;
  padding-top: 2em;
  font-size: 1.5em; }

.loader-progress {
  font-size: 0.75em; }

body {
  margin: 0;
  font-size: 1rem;
  font-weight: normal;
  line-height: 1.5;
  color: #212529;
  text-align: left;
  background-color: #fff; }

